Subject: message-sendmail-f-is-evil has hard to understand docstring

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 May 2020 17:33:25 +0200

I'm having some trouble parsing this documentation:

‘message-sendmail-f-is-evil’
     Non-‘nil’ means don’t add ‘-f username’ to the sendmail command
     line.  Doing so would be even more evil than leaving it out.

So when would I use it?  And what is evil, to have it set to nil or
non-nil or what?  Is there a double negation in there?

Could someone who knows what this is all about please consider
clarifying this documentation for mere mortals like me?  Thanks.  :-)

Best regards,
Stefan Kangas